Skip to main content
GET
List Payment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

return
string

Comma-separated list of specific fields to return/append in the response. See isAdditionalData for more details.

Example:

"id,nameFirst,nameLast"

isAdditionalData
boolean

Set to true to merge requested fields with default response, or false/omit to return only requested fields plus ID.

Example:

true

Response

200 - application/json

A list of Payments

amountToPay
number
required

Represents the total sum of money that is due for a particular payment.

id
number
required

Unique identifier.

InvoiceId
string
required

Unique identifier for a specific invoice related to a payment.

OrgId
number | null
required

Represents the unique identifier for the organization associated with a specific payment.

PersonId
number
required

Unique identifier for an individual associated with a specific payment.

resptext
string
required

Contains the response message from the payment gateway regarding the transaction status.

transaction_id
string
required

Unique identifier for each payment made.